pmem::lock_error Class Reference

Custom lock error class. More...

`#include <libpmemobj++/detail/pexceptions.hpp>`

Inherits system_error.

## Detailed Description

Custom lock error class.

Thrown when there is a runtime system error with an operation on a lock.

The documentation for this class was generated from the following file:

- pmdk-1.4.1/src/include/libpmemobj++/detail/pexceptions.hpp